from base.models import BaseModel
from django.contrib.gis.db import models

class Place(BaseModel):
    ward = models.CharField(max_length=4, blank=True)    
    reservation = models.CharField(max_length=16, blank=True)
    pk_serial = models.IntegerField(null=True, blank=True) #serial acc to PK Das excel sheets
    occupied = models.BooleanField(default=False)
    name = models.CharField(max_length=1024, blank=True)
    address = models.TextField()
    cts = models.CharField(max_length=512, null=True, blank=True)
    area = models.DecimalField(max_digits=15, decimal_places=3)
    geometry = models.GeometryField(null=True, blank=True)

    def __unicode__(self):
        return "%s %s %s" % (self.ward, self.reservation, self.name,)

# Create your models here.
